Documentation
¶
Index ¶
- Constants
- type ExportLog
- type ExportLogForbidden
- type ExportLogHandler
- type ExportLogHandlerFunc
- type ExportLogInternalServerError
- type ExportLogMethodNotAllowed
- type ExportLogNotFound
- type ExportLogOK
- type ExportLogParams
- type ExportLogServiceUnavailable
- type ExportLogURL
- func (o *ExportLogURL) Build() (*url.URL, error)
- func (o *ExportLogURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *ExportLogURL) Must(u *url.URL, err error) *url.URL
- func (o *ExportLogURL) SetBasePath(bp string)
- func (o *ExportLogURL) String() string
- func (o *ExportLogURL) StringFull(scheme, host string) string
- func (o *ExportLogURL) WithBasePath(bp string) *ExportLogURL
- type UpdateLog
- type UpdateLogBadGateway
- type UpdateLogForbidden
- type UpdateLogGatewayTimeout
- type UpdateLogHandler
- type UpdateLogHandlerFunc
- type UpdateLogInternalServerError
- type UpdateLogMethodNotAllowed
- type UpdateLogNotFound
- type UpdateLogOK
- type UpdateLogParams
- type UpdateLogServiceUnavailable
- type UpdateLogURL
- func (o *UpdateLogURL) Build() (*url.URL, error)
- func (o *UpdateLogURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdateLogURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdateLogURL) SetBasePath(bp string)
- func (o *UpdateLogURL) String() string
- func (o *UpdateLogURL) StringFull(scheme, host string) string
- func (o *UpdateLogURL) WithBasePath(bp string) *UpdateLogURL
Constants ¶
const ExportLogForbiddenCode int = 403
ExportLogForbiddenCode is the HTTP code returned for type ExportLogForbidden
const ExportLogInternalServerErrorCode int = 500
ExportLogInternalServerErrorCode is the HTTP code returned for type ExportLogInternalServerError
const ExportLogMethodNotAllowedCode int = 405
ExportLogMethodNotAllowedCode is the HTTP code returned for type ExportLogMethodNotAllowed
const ExportLogNotFoundCode int = 404
ExportLogNotFoundCode is the HTTP code returned for type ExportLogNotFound
const ExportLogOKCode int = 200
ExportLogOKCode is the HTTP code returned for type ExportLogOK
ExportLogServiceUnavailableCode is the HTTP code returned for type ExportLogServiceUnavailable
const UpdateLogBadGatewayCode int = 502
UpdateLogBadGatewayCode is the HTTP code returned for type UpdateLogBadGateway
const UpdateLogForbiddenCode int = 403
UpdateLogForbiddenCode is the HTTP code returned for type UpdateLogForbidden
const UpdateLogGatewayTimeoutCode int = 504
UpdateLogGatewayTimeoutCode is the HTTP code returned for type UpdateLogGatewayTimeout
const UpdateLogInternalServerErrorCode int = 500
UpdateLogInternalServerErrorCode is the HTTP code returned for type UpdateLogInternalServerError
const UpdateLogMethodNotAllowedCode int = 405
UpdateLogMethodNotAllowedCode is the HTTP code returned for type UpdateLogMethodNotAllowed
const UpdateLogNotFoundCode int = 404
UpdateLogNotFoundCode is the HTTP code returned for type UpdateLogNotFound
const UpdateLogOKCode int = 200
UpdateLogOKCode is the HTTP code returned for type UpdateLogOK
UpdateLogServiceUnavailableCode is the HTTP code returned for type UpdateLogServiceUnavailable
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type ExportLog ¶
type ExportLog struct {
Context *middleware.Context
Handler ExportLogHandler
}
ExportLog swagger:route POST /logs log exportLog
Export logs ¶
Export logs for all servers
func NewExportLog ¶
func NewExportLog(ctx *middleware.Context, handler ExportLogHandler) *ExportLog
NewExportLog creates a new http.Handler for the export log operation
type ExportLogForbidden ¶
type ExportLogForbidden struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
ExportLogForbidden Forbidden from exporting logs
swagger:response exportLogForbidden
func NewExportLogForbidden ¶
func NewExportLogForbidden() *ExportLogForbidden
NewExportLogForbidden creates ExportLogForbidden with default headers values
func (*ExportLogForbidden) SetPayload ¶
func (o *ExportLogForbidden) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the export log forbidden response
func (*ExportLogForbidden) WithPayload ¶
func (o *ExportLogForbidden) WithPayload(payload *models.APIResponse) *ExportLogForbidden
WithPayload adds the payload to the export log forbidden response
func (*ExportLogForbidden) WriteResponse ¶
func (o *ExportLogForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogHandler ¶
type ExportLogHandler interface {
Handle(ExportLogParams) middleware.Responder
}
ExportLogHandler interface for that can handle valid export log params
type ExportLogHandlerFunc ¶
type ExportLogHandlerFunc func(ExportLogParams) middleware.Responder
ExportLogHandlerFunc turns a function with the right signature into a export log handler
func (ExportLogHandlerFunc) Handle ¶
func (fn ExportLogHandlerFunc) Handle(params ExportLogParams) middleware.Responder
Handle executing the request and returning a response
type ExportLogInternalServerError ¶
type ExportLogInternalServerError struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
ExportLogInternalServerError TOC controller error
swagger:response exportLogInternalServerError
func NewExportLogInternalServerError ¶
func NewExportLogInternalServerError() *ExportLogInternalServerError
NewExportLogInternalServerError creates ExportLogInternalServerError with default headers values
func (*ExportLogInternalServerError) SetPayload ¶
func (o *ExportLogInternalServerError) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the export log internal server error response
func (*ExportLogInternalServerError) WithPayload ¶
func (o *ExportLogInternalServerError) WithPayload(payload *models.APIResponse) *ExportLogInternalServerError
WithPayload adds the payload to the export log internal server error response
func (*ExportLogInternalServerError) WriteResponse ¶
func (o *ExportLogInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogMethodNotAllowed ¶
type ExportLogMethodNotAllowed struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
ExportLogMethodNotAllowed Bad request
swagger:response exportLogMethodNotAllowed
func NewExportLogMethodNotAllowed ¶
func NewExportLogMethodNotAllowed() *ExportLogMethodNotAllowed
NewExportLogMethodNotAllowed creates ExportLogMethodNotAllowed with default headers values
func (*ExportLogMethodNotAllowed) SetPayload ¶
func (o *ExportLogMethodNotAllowed) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the export log method not allowed response
func (*ExportLogMethodNotAllowed) WithPayload ¶
func (o *ExportLogMethodNotAllowed) WithPayload(payload *models.APIResponse) *ExportLogMethodNotAllowed
WithPayload adds the payload to the export log method not allowed response
func (*ExportLogMethodNotAllowed) WriteResponse ¶
func (o *ExportLogMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogNotFound ¶
type ExportLogNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
ExportLogNotFound Quota not found
swagger:response exportLogNotFound
func NewExportLogNotFound ¶
func NewExportLogNotFound() *ExportLogNotFound
NewExportLogNotFound creates ExportLogNotFound with default headers values
func (*ExportLogNotFound) SetPayload ¶
func (o *ExportLogNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the export log not found response
func (*ExportLogNotFound) WithPayload ¶
func (o *ExportLogNotFound) WithPayload(payload *models.APIResponse) *ExportLogNotFound
WithPayload adds the payload to the export log not found response
func (*ExportLogNotFound) WriteResponse ¶
func (o *ExportLogNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogOK ¶
ExportLogOK Logs exported
swagger:response exportLogOK
func NewExportLogOK ¶
func NewExportLogOK() *ExportLogOK
NewExportLogOK creates ExportLogOK with default headers values
func (*ExportLogOK) SetPayload ¶
func (o *ExportLogOK) SetPayload(payload *models.Log)
SetPayload sets the payload to the export log o k response
func (*ExportLogOK) WithPayload ¶
func (o *ExportLogOK) WithPayload(payload *models.Log) *ExportLogOK
WithPayload adds the payload to the export log o k response
func (*ExportLogOK) WriteResponse ¶
func (o *ExportLogOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogParams ¶
ExportLogParams contains all the bound params for the export log operation typically these are obtained from a http.Request
swagger:parameters exportLog
func NewExportLogParams ¶
func NewExportLogParams() ExportLogParams
NewExportLogParams creates a new ExportLogParams object
There are no default values defined in the spec.
func (*ExportLogParams) BindRequest ¶
func (o *ExportLogParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewExportLogParams() beforehand.
type ExportLogServiceUnavailable ¶
type ExportLogServiceUnavailable struct {
Payload *models.APIResponse `json:"body,omitempty"`
}
ExportLogServiceUnavailable Service unavailable
swagger:response exportLogServiceUnavailable
func NewExportLogServiceUnavailable ¶
func NewExportLogServiceUnavailable() *ExportLogServiceUnavailable
NewExportLogServiceUnavailable creates ExportLogServiceUnavailable with default headers values
func (*ExportLogServiceUnavailable) SetPayload ¶
func (o *ExportLogServiceUnavailable) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the export log service unavailable response
func (*ExportLogServiceUnavailable) WithPayload ¶
func (o *ExportLogServiceUnavailable) WithPayload(payload *models.APIResponse) *ExportLogServiceUnavailable
WithPayload adds the payload to the export log service unavailable response
func (*ExportLogServiceUnavailable) WriteResponse ¶
func (o *ExportLogServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ExportLogURL ¶
type ExportLogURL struct {
// contains filtered or unexported fields
}
ExportLogURL generates an URL for the export log operation
func (*ExportLogURL) Build ¶
func (o *ExportLogURL) Build() (*url.URL, error)
Build a url path and query string
func (*ExportLogURL) BuildFull ¶
func (o *ExportLogURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*ExportLogURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*ExportLogURL) SetBasePath ¶
func (o *ExportLogURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*ExportLogURL) String ¶
func (o *ExportLogURL) String() string
String returns the string representation of the path with query string
func (*ExportLogURL) StringFull ¶
func (o *ExportLogURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*ExportLogURL) WithBasePath ¶
func (o *ExportLogURL) WithBasePath(bp string) *ExportLogURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdateLog ¶
type UpdateLog struct {
Context *middleware.Context
Handler UpdateLogHandler
}
UpdateLog swagger:route PUT /logs log updateLog
Update log status/info
Update log status/info
func NewUpdateLog ¶
func NewUpdateLog(ctx *middleware.Context, handler UpdateLogHandler) *UpdateLog
NewUpdateLog creates a new http.Handler for the update log operation
type UpdateLogBadGateway ¶
type UpdateLogBadGateway struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogBadGateway Bad gateway. TOC controller error
swagger:response updateLogBadGateway
func NewUpdateLogBadGateway ¶
func NewUpdateLogBadGateway() *UpdateLogBadGateway
NewUpdateLogBadGateway creates UpdateLogBadGateway with default headers values
func (*UpdateLogBadGateway) SetPayload ¶
func (o *UpdateLogBadGateway) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log bad gateway response
func (*UpdateLogBadGateway) WithPayload ¶
func (o *UpdateLogBadGateway) WithPayload(payload *models.APIResponse) *UpdateLogBadGateway
WithPayload adds the payload to the update log bad gateway response
func (*UpdateLogBadGateway) WriteResponse ¶
func (o *UpdateLogBadGateway) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogForbidden ¶
type UpdateLogForbidden struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogForbidden Forbidden from updating log request
swagger:response updateLogForbidden
func NewUpdateLogForbidden ¶
func NewUpdateLogForbidden() *UpdateLogForbidden
NewUpdateLogForbidden creates UpdateLogForbidden with default headers values
func (*UpdateLogForbidden) SetPayload ¶
func (o *UpdateLogForbidden) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log forbidden response
func (*UpdateLogForbidden) WithPayload ¶
func (o *UpdateLogForbidden) WithPayload(payload *models.APIResponse) *UpdateLogForbidden
WithPayload adds the payload to the update log forbidden response
func (*UpdateLogForbidden) WriteResponse ¶
func (o *UpdateLogForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogGatewayTimeout ¶
type UpdateLogGatewayTimeout struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogGatewayTimeout Gateway timeout. TOC controller did not reply.
swagger:response updateLogGatewayTimeout
func NewUpdateLogGatewayTimeout ¶
func NewUpdateLogGatewayTimeout() *UpdateLogGatewayTimeout
NewUpdateLogGatewayTimeout creates UpdateLogGatewayTimeout with default headers values
func (*UpdateLogGatewayTimeout) SetPayload ¶
func (o *UpdateLogGatewayTimeout) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log gateway timeout response
func (*UpdateLogGatewayTimeout) WithPayload ¶
func (o *UpdateLogGatewayTimeout) WithPayload(payload *models.APIResponse) *UpdateLogGatewayTimeout
WithPayload adds the payload to the update log gateway timeout response
func (*UpdateLogGatewayTimeout) WriteResponse ¶
func (o *UpdateLogGatewayTimeout) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogHandler ¶
type UpdateLogHandler interface {
Handle(UpdateLogParams) middleware.Responder
}
UpdateLogHandler interface for that can handle valid update log params
type UpdateLogHandlerFunc ¶
type UpdateLogHandlerFunc func(UpdateLogParams) middleware.Responder
UpdateLogHandlerFunc turns a function with the right signature into a update log handler
func (UpdateLogHandlerFunc) Handle ¶
func (fn UpdateLogHandlerFunc) Handle(params UpdateLogParams) middleware.Responder
Handle executing the request and returning a response
type UpdateLogInternalServerError ¶
type UpdateLogInternalServerError struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogInternalServerError TOC controller error
swagger:response updateLogInternalServerError
func NewUpdateLogInternalServerError ¶
func NewUpdateLogInternalServerError() *UpdateLogInternalServerError
NewUpdateLogInternalServerError creates UpdateLogInternalServerError with default headers values
func (*UpdateLogInternalServerError) SetPayload ¶
func (o *UpdateLogInternalServerError) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log internal server error response
func (*UpdateLogInternalServerError) WithPayload ¶
func (o *UpdateLogInternalServerError) WithPayload(payload *models.APIResponse) *UpdateLogInternalServerError
WithPayload adds the payload to the update log internal server error response
func (*UpdateLogInternalServerError) WriteResponse ¶
func (o *UpdateLogInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogMethodNotAllowed ¶
type UpdateLogMethodNotAllowed struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogMethodNotAllowed Bad request
swagger:response updateLogMethodNotAllowed
func NewUpdateLogMethodNotAllowed ¶
func NewUpdateLogMethodNotAllowed() *UpdateLogMethodNotAllowed
NewUpdateLogMethodNotAllowed creates UpdateLogMethodNotAllowed with default headers values
func (*UpdateLogMethodNotAllowed) SetPayload ¶
func (o *UpdateLogMethodNotAllowed) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log method not allowed response
func (*UpdateLogMethodNotAllowed) WithPayload ¶
func (o *UpdateLogMethodNotAllowed) WithPayload(payload *models.APIResponse) *UpdateLogMethodNotAllowed
WithPayload adds the payload to the update log method not allowed response
func (*UpdateLogMethodNotAllowed) WriteResponse ¶
func (o *UpdateLogMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogNotFound ¶
type UpdateLogNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogNotFound TOC controller not found
swagger:response updateLogNotFound
func NewUpdateLogNotFound ¶
func NewUpdateLogNotFound() *UpdateLogNotFound
NewUpdateLogNotFound creates UpdateLogNotFound with default headers values
func (*UpdateLogNotFound) SetPayload ¶
func (o *UpdateLogNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log not found response
func (*UpdateLogNotFound) WithPayload ¶
func (o *UpdateLogNotFound) WithPayload(payload *models.APIResponse) *UpdateLogNotFound
WithPayload adds the payload to the update log not found response
func (*UpdateLogNotFound) WriteResponse ¶
func (o *UpdateLogNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogOK ¶
UpdateLogOK Log updated
swagger:response updateLogOK
func NewUpdateLogOK ¶
func NewUpdateLogOK() *UpdateLogOK
NewUpdateLogOK creates UpdateLogOK with default headers values
func (*UpdateLogOK) SetPayload ¶
func (o *UpdateLogOK) SetPayload(payload *models.Log)
SetPayload sets the payload to the update log o k response
func (*UpdateLogOK) WithPayload ¶
func (o *UpdateLogOK) WithPayload(payload *models.Log) *UpdateLogOK
WithPayload adds the payload to the update log o k response
func (*UpdateLogOK) WriteResponse ¶
func (o *UpdateLogOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogParams ¶
type UpdateLogParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Log request to update
Required: true
In: body
*/
Body *models.Log
}
UpdateLogParams contains all the bound params for the update log operation typically these are obtained from a http.Request
swagger:parameters updateLog
func NewUpdateLogParams ¶
func NewUpdateLogParams() UpdateLogParams
NewUpdateLogParams creates a new UpdateLogParams object
There are no default values defined in the spec.
func (*UpdateLogParams) BindRequest ¶
func (o *UpdateLogParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdateLogParams() beforehand.
type UpdateLogServiceUnavailable ¶
type UpdateLogServiceUnavailable struct {
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateLogServiceUnavailable Service unavailable on TOC controller
swagger:response updateLogServiceUnavailable
func NewUpdateLogServiceUnavailable ¶
func NewUpdateLogServiceUnavailable() *UpdateLogServiceUnavailable
NewUpdateLogServiceUnavailable creates UpdateLogServiceUnavailable with default headers values
func (*UpdateLogServiceUnavailable) SetPayload ¶
func (o *UpdateLogServiceUnavailable) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update log service unavailable response
func (*UpdateLogServiceUnavailable) WithPayload ¶
func (o *UpdateLogServiceUnavailable) WithPayload(payload *models.APIResponse) *UpdateLogServiceUnavailable
WithPayload adds the payload to the update log service unavailable response
func (*UpdateLogServiceUnavailable) WriteResponse ¶
func (o *UpdateLogServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateLogURL ¶
type UpdateLogURL struct {
// contains filtered or unexported fields
}
UpdateLogURL generates an URL for the update log operation
func (*UpdateLogURL) Build ¶
func (o *UpdateLogURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdateLogURL) BuildFull ¶
func (o *UpdateLogURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdateLogURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdateLogURL) SetBasePath ¶
func (o *UpdateLogURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdateLogURL) String ¶
func (o *UpdateLogURL) String() string
String returns the string representation of the path with query string
func (*UpdateLogURL) StringFull ¶
func (o *UpdateLogURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdateLogURL) WithBasePath ¶
func (o *UpdateLogURL) WithBasePath(bp string) *UpdateLogURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string